Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2358 - gnomepager_applet doesn't preserve window focus on desktop switch
Summary: gnomepager_applet doesn't preserve window focus on desktop switch
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-24 20:53 UTC by Ed Bailey
Modified: 2015-05-21 15:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 15:21:00 UTC


Attachments (Terms of Use)

Description Ed Bailey 1999-04-24 20:53:03 UTC
I have four desktops configured on my system, and use
gnomepager_applet to switch between them.  I also use E in
click-to-focus mode.  If I click on a given window to give
it focus, switch to another desktop, and then switch back,
the window which had focus on that desktop no longer does;
instead, some other window on that desktop now has focus.
This causes the windows on that desktop to restack, which is
a real pain.

Comment 1 Owen Taylor 1999-06-09 20:37:59 UTC
The problem here is that the panel is also a valid window
to focus in click-to-focus mode, so clicking on the
pager leaves the focus on the panel.

------- Additional Comments From   06/09/99 16:58 -------
Yes, it's a tricky situation.  The only solutions that seem possible
would be to:

o Make it possible for the pager to control focus.  In other words, if
I click on one of the mini-desktops on the pager (to switch desktops),
the "mini-window" under the pointer gets focus; one click does both.
Makes switching desktops faster...

o Have the pager send a "don't remember that I got focus" hint to the
window manager, which will then give focus to the window that had
focus *before* the pager.  Of course, this means that the WM needs to
be able to understand (and act upon) such a hint.

Personally, the first solution is the cleanest (and probably easiest)
to implement.

Comment 2 Owen Taylor 2000-02-03 15:21:59 UTC
This seems to be handled correctly by sawmill. Sawmill, seems to
keep track of the last focused window not in the skip list
for Alt-Tab on a desktop and switch to that window as focus window
when going to the desktop.

Comment 3 openshift-github-bot 2015-05-21 15:07:57 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/631a5a600096fa0d804ff5bd6fc27ccb9b3f034f
Issue 2358 - better handling of server url parsing in osc login


Note You need to log in before you can comment on or make changes to this bug.